## hoichess 0.4.3

=== Makefile ===
# $Id: Makefile 1207 2006-06-09 18:41:56Z holger $

# Make these variables also available to sub-makes.
export top_srcdir = $(shell pwd)
export prefix = /usr
export bindir = $(prefix)/games
export mandir = $(prefix)/share/man


VERSION = $(shell grep '^Version' ChangeLog | head -n 1 | awk '{ print $$2; }')



.PHONY: all
all: hoichess.6 hoichess.6.html
	$(MAKE) -C src all

hoichess.6: hoichess.6.pod
	pod2man -n hoichess -s 6 -r hoichess-0.3 -c Games $< $@

hoichess.6.html: hoichess.6.pod
	pod2html --title "HoiChess" $< > $@
	

.PHONY: install 
install: all
	$(MAKE) -C src install
	install -m 644 -D hoichess.6 $(DESTDIR)$(mandir)/man6/hoichess.6

.PHONY: clean
clean:
	$(MAKE) -C src PLATFORM=unix clean
	$(MAKE) -C src PLATFORM=mingw32 clean
	rm -f hoichess.6 hoichess.6.html
	rm -f *.tmp
	rm -rf dist


###############################################################################
#
# Definitions and targets to build source and binary distributions
#
###############################################################################

DIST_SRC_NAME		= hoichess-$(VERSION)
DIST_MINGW32_NAME	= hoichess-$(VERSION)-mingw32
DIST_WIN32_NAME		= hoichess-$(VERSION)-win32

DIST_SRC_SOURCES	= AUTHORS BUGS ChangeLog LICENSE README \
				Makefile hoichess.6.pod \
				src/Makefile src/Makefile.local \
				$(wildcard src/*.cc src/*.h) \
				$(wildcard src/*/*.cc src/*/*.h)

DIST_SRC_NONSOURCES	= hoichess.6 hoichess.6.html

DIST_MINGW32_SOURCES	= AUTHORS BUGS ChangeLog LICENSE README
DIST_MINGW32_NONSOURCES	= hoichess.6 hoichess.6.html
DIST_MINGW32_BINS	= src/.build-mingw32/hoichess.exe

DIST_WIN32_SOURCES	= AUTHORS BUGS ChangeLog LICENSE README
DIST_WIN32_NONSOURCES	= hoichess.6.html
DIST_WIN32_BINS		= msvc/Release/hoichess.exe


.PHONY: dist dist-src
dist dist-src: $(DIST_SRC_NONSOURCES)
	mkdir -p dist
	
	rm -rf dist/$(DIST_SRC_NAME)
	mkdir dist/$(DIST_SRC_NAME)
	cp --parents $(DIST_SRC_SOURCES)	dist/$(DIST_SRC_NAME)
	cp --parents $(DIST_SRC_NONSOURCES)	dist/$(DIST_SRC_NAME)
	
	rm -f dist/$(DIST_SRC_NAME).tar.gz
	cd dist && tar -czf $(DIST_SRC_NAME).tar.gz $(DIST_SRC_NAME)
	rm -f dist/$(DIST_SRC_NAME).zip
	cd dist && zip -q -9 -r $(DIST_SRC_NAME).zip $(DIST_SRC_NAME)


$(DIST_WIN32_BINS):
	$(MAKE) -C src PLATFORM=mingw32

.PHONY: dist-mingw32
dist-mingw32: $(DIST_MINGW32_NONSOURCES) $(DIST_WIN32_BINS)
	mkdir -p dist
	
	rm -rf dist/$(DIST_MINGW32_NAME)
	mkdir dist/$(DIST_MINGW32_NAME)
	cp --parents $(DIST_MINGW32_SOURCES)	dist/$(DIST_MINGW32_NAME)
	cp --parents $(DIST_MINGW32_NONSOURCES)	dist/$(DIST_MINGW32_NAME)
	mkdir dist/$(DIST_MINGW32_NAME)/bin
	cp $(DIST_MINGW32_BINS) 		dist/$(DIST_MINGW32_NAME)/bin
	
	rm -f dist/$(DIST_MINGW32_NAME).zip
	cd dist && zip -q -9 -r $(DIST_MINGW32_NAME).zip $(DIST_MINGW32_NAME)


.PHONY: dist-win32
dist-win32: $(DIST_WIN32_NONSOURCES)
	mkdir -p dist
	
	rm -rf dist/$(DIST_WIN32_NAME)
	mkdir dist/$(DIST_WIN32_NAME)
	cp --parents $(DIST_WIN32_SOURCES)	dist/$(DIST_WIN32_NAME)
	cp --parents $(DIST_WIN32_NONSOURCES)	dist/$(DIST_WIN32_NAME)
	mkdir dist/$(DIST_WIN32_NAME)/bin
	cp $(DIST_WIN32_BINS) 			dist/$(DIST_WIN32_NAME)/bin
	
	rm -f dist/$(DIST_WIN32_NAME).zip
	cd dist && zip -q -9 -r $(DIST_WIN32_NAME).zip $(DIST_WIN32_NAME)

=== src/Makefile ===
# $Id: Makefile 1210 2006-06-09 18:58:01Z holger $

PLATFORM = unix

CXX = g++
CPP = $(CXX) -E
INSTALL = /usr/bin/install

INCLUDE =
LIBPATH =


CXXFLAGS = -W -Wall
LDFLAGS  = 


###############################################################################

-include Makefile.local

#PLATFORM = unix

BUILDDIR = .build-$(PLATFORM)
DEPSDIR = $(BUILDDIR)

SOURCES = $(wildcard *.cc) 
HEADERS = $(wildcard *.h)
OBJS = $(patsubst %.cc,%.o,$(SOURCES))
BUILDDIR_OBJS = $(foreach f,$(OBJS),$(BUILDDIR)/$(f))


#
# Platform-specific stuff
#

ifeq ($(PLATFORM),unix)
override CXXFLAGS += -DHAVE_PTHREAD
LIBS += -lpthread
BIN = $(BUILDDIR)/hoichess
endif

ifeq ($(PLATFORM),mingw32)
override INCLUDE += -Iwin32 -Ilib
SOURCES += $(wildcard lib/*.cc win32/*.cc)
HEADERS += $(wildcard lib/*.h win32/*.h)
BIN = $(BUILDDIR)/hoichess.exe
endif

#
# Feature configurations
#

ifdef HAVE_READLINE
override CXXFLAGS += -DHAVE_READLINE
LIBS += -lreadline
endif

#
# OS-specific stuff
# 

ifeq ($(shell uname -s),SunOS)
override INCLUDE += -Ilib
SOURCES += lib/my_getopt.cc
endif

###############################################################################

.PHONY: all
all: $(BIN)


compile.h: $(subst compile.h,,$(SOURCES) $(HEADERS))
	touch $@

$(BIN): $(BUILDDIR_OBJS)
	@mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(LIBPATH) $(LIBS) -o $@ $^

$(BUILDDIR)/%.o: %.cc Makefile Makefile.local
	@mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c -o $@ $<


.PHONY: install
install: all
	$(INSTALL) -m 755 -D $(BIN) $(DESTDIR)$(bindir)/$(notdir $(BIN))


.PHONY: clean
clean:
	#rm -f $(BIN) $(OBJS)
	rm -rf $(BUILDDIR) $(DEPSDIR)


# Generate dependencies
$(DEPSDIR)/%.d: %.cc
	@mkdir -p $(dir $@)
	$(CPP) $(CXXFLAGS) $(INCLUDE) 	\
		-MM -MT '$(patsubst %.cc,$(BUILDDIR)/%.o,$<)' $<	\
		| sed 's,\($*\)\.o *:,\1.o $@:,g' > $@
	if [ ! -s $@ ]; then rm -f $@; fi

# Include dependencies
ifneq ($(MAKECMDGOALS),clean)
-include $(foreach file,$(OBJS:.o=.d),$(DEPSDIR)/$(file))
endif

## hoichess 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1207 2006-06-09 18:41:56Z holger $
+# $Id: Makefile 1274 2006-07-17 07:09:11Z holger $
 
 # Make these variables also available to sub-makes.
 export top_srcdir = $(shell pwd)
@@ -31,9 +31,14 @@
 clean:
 	$(MAKE) -C src PLATFORM=unix clean
 	$(MAKE) -C src PLATFORM=mingw32 clean
+	$(MAKE) -C src PLATFORM=win32 clean
 	rm -f hoichess.6 hoichess.6.html
 	rm -f *.tmp
 	rm -rf dist
+
+.PHONY: maintainer-clean
+maintainer-clean: clean
+	$(MAKE) -C src maintainer-clean
 
 
 ###############################################################################
@@ -50,7 +55,8 @@
 				Makefile hoichess.6.pod \
 				src/Makefile src/Makefile.local \
 				$(wildcard src/*.cc src/*.h) \
-				$(wildcard src/*/*.cc src/*/*.h)
+				$(wildcard src/*/*.cc src/*/*.h) \
+				$(wildcard src/build/*)
 
 DIST_SRC_NONSOURCES	= hoichess.6 hoichess.6.html
 
@@ -60,7 +66,7 @@
 
 DIST_WIN32_SOURCES	= AUTHORS BUGS ChangeLog LICENSE README
 DIST_WIN32_NONSOURCES	= hoichess.6.html
-DIST_WIN32_BINS		= msvc/Release/hoichess.exe
+DIST_WIN32_BINS		= src/.build-win32/hoichess.exe
 
 
 .PHONY: dist dist-src
@@ -78,11 +84,12 @@
 	cd dist && zip -q -9 -r $(DIST_SRC_NAME).zip $(DIST_SRC_NAME)
 
 
-$(DIST_WIN32_BINS):
+.PHONY: $(DIST_MINGW32_BINS)
+$(DIST_MINGW32_BINS):
 	$(MAKE) -C src PLATFORM=mingw32
 
 .PHONY: dist-mingw32
-dist-mingw32: $(DIST_MINGW32_NONSOURCES) $(DIST_WIN32_BINS)
+dist-mingw32: $(DIST_MINGW32_NONSOURCES) $(DIST_MINGW32_BINS)
 	mkdir -p dist
 	
 	rm -rf dist/$(DIST_MINGW32_NAME)

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1210 2006-06-09 18:58:01Z holger $
+# $Id: Makefile 1268 2006-07-15 09:03:48Z holger $
 
 PLATFORM = unix
 
@@ -73,10 +73,15 @@
 compile.h: $(subst compile.h,,$(SOURCES) $(HEADERS))
 	touch $@
 
+debug_printconfig.h: config.h build/mk_debug_config_h.sh
+	build/mk_debug_config_h.sh > $@
+
+# link object files
 $(BIN): $(BUILDDIR_OBJS)
 	@mkdir -p $(dir $@)
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(LIBPATH) $(LIBS) -o $@ $^
 
+# compile source files
 $(BUILDDIR)/%.o: %.cc Makefile Makefile.local
 	@mkdir -p $(dir $@)
 	$(CXX) $(CXXFLAGS) $(INCLUDE) -c -o $@ $<
@@ -92,6 +97,10 @@
 	#rm -f $(BIN) $(OBJS)
 	rm -rf $(BUILDDIR) $(DEPSDIR)
 
+.PHONY: maintainer-clean
+maintainer-clean: clean
+	rm -f debug_printconfig.h
+	
 
 # Generate dependencies
 $(DEPSDIR)/%.d: %.cc
@@ -103,5 +112,7 @@
 
 # Include dependencies
 ifneq ($(MAKECMDGOALS),clean)
+ifneq ($(MAKECMDGOALS),maintainer-clean)
 -include $(foreach file,$(OBJS:.o=.d),$(DEPSDIR)/$(file))
 endif
+endif

## hoichess 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1274 2006-07-17 07:09:11Z holger $
+# $Id: Makefile 1350 2006-08-04 16:53:56Z holger $
 
 # Make these variables also available to sub-makes.
 export top_srcdir = $(shell pwd)
@@ -56,17 +56,20 @@
 				src/Makefile src/Makefile.local \
 				$(wildcard src/*.cc src/*.h) \
 				$(wildcard src/*/*.cc src/*/*.h) \
+				$(wildcard src/*/*/*.cc src/*/*/*.h) \
 				$(wildcard src/build/*)
 
 DIST_SRC_NONSOURCES	= hoichess.6 hoichess.6.html
 
 DIST_MINGW32_SOURCES	= AUTHORS BUGS ChangeLog LICENSE README
 DIST_MINGW32_NONSOURCES	= hoichess.6 hoichess.6.html
-DIST_MINGW32_BINS	= src/.build-mingw32/hoichess.exe
+DIST_MINGW32_BINS	= src/.build-mingw32/hoichess.exe \
+			  src/.build-mingw32/hoixiangqi.exe
 
 DIST_WIN32_SOURCES	= AUTHORS BUGS ChangeLog LICENSE README
 DIST_WIN32_NONSOURCES	= hoichess.6.html
-DIST_WIN32_BINS		= src/.build-win32/hoichess.exe
+DIST_WIN32_BINS		= src/.build-win32/hoichess.exe \
+			  src/.build-win32/hoixiangqi.exe
 
 
 .PHONY: dist dist-src

=== src/Makefile ===
# $Id: Makefile 1350 2006-08-04 16:53:56Z holger $

PLATFORM = unix

CXX = g++
CPP = $(CXX) -E
INSTALL = /usr/bin/install

LIBPATH =


CXXFLAGS = -W -Wall
LDFLAGS  = 


###############################################################################

-include Makefile.local

#PLATFORM = unix

BUILDDIR         = .build-$(PLATFORM)
BUILDDIR_CHESS   = $(BUILDDIR)/.hoichess
BUILDDIR_XIANGQI = $(BUILDDIR)/.hoixiangqi

DEPSDIR         = $(BUILDDIR)
DEPSDIR_CHESS   = $(DEPSDIR)/.hoichess
DEPSDIR_XIANGQI = $(DEPSDIR)/.hoixiangqi

SOURCES_COMMON  = $(wildcard *.cc)
SOURCES_CHESS   = $(wildcard chess/*.cc)
SOURCES_XIANGQI = $(wildcard xiangqi/*.cc)

ALL_SOURCES = $(SOURCES_COMMON) $(SOURCES_CHESS) $(SOURCES_XIANGQI)
ALL_HEADERS = $(wildcard *.h chess/*.h xiangqi/*.h)
ALL_OBJS    = $(patsubst %.cc,%.o,$(ALL_SOURCES))

OBJS_COMMON  = $(patsubst %.cc,%.o,$(SOURCES_COMMON))
OBJS_CHESS   = $(patsubst %.cc,%.o,$(SOURCES_CHESS))
OBJS_XIANGQI = $(patsubst %.cc,%.o,$(SOURCES_XIANGQI))

BUILDDIR_OBJS_CHESS   = $(foreach f,$(OBJS_COMMON) $(OBJS_CHESS),$(BUILDDIR_CHESS)/$(f))
BUILDDIR_OBJS_XIANGQI = $(foreach f,$(OBJS_COMMON) $(OBJS_XIANGQI),$(BUILDDIR_XIANGQI)/$(f))


INCLUDE = -I.


#
# Platform-specific stuff
#

ifeq ($(PLATFORM),unix)
override CXXFLAGS += -DHAVE_PTHREAD
LIBS += -lpthread
BIN_CHESS   = $(BUILDDIR)/hoichess
BIN_XIANGQI = $(BUILDDIR)/hoixiangqi
endif

ifeq ($(PLATFORM),mingw32)
override INCLUDE += -Iwin32 -Ilib
SOURCES_COMMON += $(wildcard lib/*.cc win32/*.cc)
ALL_HEADERS += $(wildcard lib/*.h win32/*.h)
BIN_CHESS   = $(BUILDDIR)/hoichess.exe
BIN_XIANGQI = $(BUILDDIR)/hoixiangqi.exe
endif

#
# Feature configurations
#

ifdef HAVE_READLINE
override CXXFLAGS += -DHAVE_READLINE
LIBS += -lreadline
endif

#
# OS-specific stuff
# 

ifeq ($(shell uname -s),SunOS)
override INCLUDE += -Ilib
SOURCES_COMMON += lib/my_getopt.cc
endif

###############################################################################

.PHONY: all
all:
	$(MAKE) hoichess
	$(MAKE) hoixiangqi

.PHONY: hoichess
hoichess: $(BIN_CHESS)

.PHONY: hoixiangqi
hoixiangqi: $(BIN_XIANGQI)


compile.h: $(subst compile.h,,$(ALL_SOURCES) $(ALL_HEADERS))
	touch $@

debug_printconfig.h: config.h build/mk_debug_config_h.sh
	build/mk_debug_config_h.sh > $@


$(BIN_CHESS): INCLUDE += -Ichess
$(BIN_CHESS): CXXFLAGS += -DHOICHESS
$(BIN_CHESS): $(BUILDDIR_OBJS_CHESS)

$(BIN_XIANGQI): INCLUDE += -Ixiangqi
$(BIN_XIANGQI):	CXXFLAGS += -DHOIXIANGQI
$(BIN_XIANGQI): $(BUILDDIR_OBJS_XIANGQI)


# link object files
$(BIN_CHESS) $(BIN_XIANGQI):
	@mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(LIBPATH) $(LIBS) -o $@ $^

# compile source files
$(BUILDDIR_CHESS)/%.o $(BUILDDIR_XIANGQI)/%.o: %.cc Makefile Makefile.local
	@mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c -o $@ $<


.PHONY: install
install: all
	$(INSTALL) -m 755 -D $(BIN_CHESS) $(DESTDIR)$(bindir)/$(notdir $(BIN_CHESS))
	$(INSTALL) -m 755 -D $(BIN_XIANGQI) $(DESTDIR)$(bindir)/$(notdir $(BIN_XIANGQI))


.PHONY: clean
clean:
	rm -rf $(BUILDDIR) $(DEPSDIR)

.PHONY: maintainer-clean
maintainer-clean: clean
	rm -f debug_printconfig.h
	


# Generate dependencies

$(DEPSDIR_CHESS)/%.d: %.cc
	@mkdir -p $(dir $@)
	$(CPP) $(CXXFLAGS) $(INCLUDE) -Ichess -DHOICHESS 	 	\
		-MM -MT '$(patsubst %.cc,$(BUILDDIR_CHESS)/%.o,$<)' $<	\
		| sed 's,\($*\)\.o *:,\1.o $@:,g' > $@
	if [ ! -s $@ ]; then rm -f $@; fi

$(DEPSDIR_XIANGQI)/%.d: %.cc
	@mkdir -p $(dir $@)
	$(CPP) $(CXXFLAGS) $(INCLUDE) -Ixiangqi -DHOIXIANGQI	 	\
		-MM -MT '$(patsubst %.cc,$(BUILDDIR_XIANGQI)/%.o,$<)' $<   \
		| sed 's,\($*\)\.o *:,\1.o $@:,g' > $@
	if [ ! -s $@ ]; then rm -f $@; fi

# Include dependencies
ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),maintainer-clean)
-include $(foreach file,$(ALL_OBJS:.o=.d),$(DEPSDIR_CHESS)/$(file))
-include $(foreach file,$(ALL_OBJS:.o=.d),$(DEPSDIR_XIANGQI)/$(file))
endif
endif

## hoichess 0.10.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1350 2006-08-04 16:53:56Z holger $
+# $Id: Makefile 1452 2007-10-30 16:11:59Z holger $
 
 # Make these variables also available to sub-makes.
 export top_srcdir = $(shell pwd)

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1350 2006-08-04 16:53:56Z holger $
+# $Id: Makefile 1452 2007-10-30 16:11:59Z holger $
 
 PLATFORM = unix
 
@@ -22,10 +22,6 @@
 BUILDDIR         = .build-$(PLATFORM)
 BUILDDIR_CHESS   = $(BUILDDIR)/.hoichess
 BUILDDIR_XIANGQI = $(BUILDDIR)/.hoixiangqi
-
-DEPSDIR         = $(BUILDDIR)
-DEPSDIR_CHESS   = $(DEPSDIR)/.hoichess
-DEPSDIR_XIANGQI = $(DEPSDIR)/.hoixiangqi
 
 SOURCES_COMMON  = $(wildcard *.cc)
 SOURCES_CHESS   = $(wildcard chess/*.cc)
@@ -121,7 +117,7 @@
 # compile source files
 $(BUILDDIR_CHESS)/%.o $(BUILDDIR_XIANGQI)/%.o: %.cc Makefile Makefile.local
 	@mkdir -p $(dir $@)
-	$(CXX) $(CXXFLAGS) $(INCLUDE) -c -o $@ $<
+	$(CXX) $(CXXFLAGS) $(INCLUDE) -MT $@ -MD -MF $(patsubst %.o,%.d,$@) -c -o $@ $<
 
 
 .PHONY: install
@@ -132,7 +128,7 @@
 
 .PHONY: clean
 clean:
-	rm -rf $(BUILDDIR) $(DEPSDIR)
+	rm -rf $(BUILDDIR)
 
 .PHONY: maintainer-clean
 maintainer-clean: clean
@@ -140,26 +136,10 @@
 	
 
 
-# Generate dependencies
-
-$(DEPSDIR_CHESS)/%.d: %.cc
-	@mkdir -p $(dir $@)
-	$(CPP) $(CXXFLAGS) $(INCLUDE) -Ichess -DHOICHESS 	 	\
-		-MM -MT '$(patsubst %.cc,$(BUILDDIR_CHESS)/%.o,$<)' $<	\
-		| sed 's,\($*\)\.o *:,\1.o $@:,g' > $@
-	if [ ! -s $@ ]; then rm -f $@; fi
-
-$(DEPSDIR_XIANGQI)/%.d: %.cc
-	@mkdir -p $(dir $@)
-	$(CPP) $(CXXFLAGS) $(INCLUDE) -Ixiangqi -DHOIXIANGQI	 	\
-		-MM -MT '$(patsubst %.cc,$(BUILDDIR_XIANGQI)/%.o,$<)' $<   \
-		| sed 's,\($*\)\.o *:,\1.o $@:,g' > $@
-	if [ ! -s $@ ]; then rm -f $@; fi
-
 # Include dependencies
 ifneq ($(MAKECMDGOALS),clean)
 ifneq ($(MAKECMDGOALS),maintainer-clean)
--include $(foreach file,$(ALL_OBJS:.o=.d),$(DEPSDIR_CHESS)/$(file))
--include $(foreach file,$(ALL_OBJS:.o=.d),$(DEPSDIR_XIANGQI)/$(file))
+-include $(patsubst %.o,%.d,$(BUILDDIR_OBJS_CHESS))
+-include $(patsubst %.o,%.d,$(BUILDDIR_OBJS_XIANGQI))
 endif
 endif

## hoichess 0.10.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1452 2007-10-30 16:11:59Z holger $
+# $Id: Makefile 1462 2007-12-18 20:49:56Z holger $
 
 # Make these variables also available to sub-makes.
 export top_srcdir = $(shell pwd)

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1452 2007-10-30 16:11:59Z holger $
+# $Id: Makefile 1462 2007-12-18 20:49:56Z holger $
 
 PLATFORM = unix

=== debian/changelog ===
hoichess (0.10.3-6.1) unstable; urgency=low

  [ Matthias Klose ]
  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667202.

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 20 May 2012 22:57:15 +0100

hoichess (0.10.3-6) unstable; urgency=low

  * Standards Version update to 3.9.2
  * Removed knights from the Recommends: field in control 
  * Switch to dpkg-source 3.0 (quilt) format. This requests newer 
    debhelper scripts. Added a dependency.
  * Order matters with linking and ld-as-needed. Took the patch from 
    Matthias Klose <doko@ubuntu.com>. Thanks. (Closes: #641727)

 -- Oliver Korff <ok@xynyx.de>  Thu, 13 Oct 2011 21:51:35 +0200

hoichess (0.10.3-5) unstable; urgency=low

  * Replaced the build dependency of libreadline5-dev to 
    libreadline-dev this (Closes: #553781)
  * This software is discontinued by its author, I will maintain it 
    as long as I can. Added a note to the copyright file. 

 -- Oliver Korff <ok@xynyx.de>  Mon, 02 Nov 2009 16:47:53 +0100

hoichess (0.10.3-4) unstable; urgency=low

  * added include for iostream in debug_printconfig.h this fixes FTBFS
    and (Closes: #542135) and (Closes: #542986)
  * removed watchfile, homepage is not available anymore
  * Standards Version update to 3.8.3

 -- Oliver Korff <ok@xynyx.de>  Fri, 21 Aug 2009 21:03:55 +0200

hoichess (0.10.3-3) unstable; urgency=low

  * opening book recommendation removed, the book is 
    not in debian right now, it is too huge
  * control file: Homepage removed, upstream is not active any more
    I will support hoichess as long as I can, because hoxianxi the 
    chinese chess engine is unique in debian
  * Standards Version to 3.8.1
  * Set debhelper version to >=7.0.0
  * Set compat level to 7
  * Removed dh_clean -k from rules and added dh_prep

 -- Oliver Korff <ok@xynyx.de>  Sat, 06 Jun 2009 14:21:03 +0200

hoichess (0.10.3-2) unstable; urgency=low

  * Set default path to find future opening books
  * The book file will be provided in the package hoichess-book
  * Package now recommends the opening book

 -- Oliver Korff <ok@xynyx.de>  Thu, 21 Feb 2008 13:00:05 +0100

hoichess (0.10.3-1) unstable; urgency=low

  * New Upstream version 
  * Fixes gcc-4.3 missing icludes (Closes: #455143)

 -- Oliver Korff <ok@xynyx.de>  Tue, 08 Jan 2008 15:32:37 +0100

hoichess (0.10.2-1) unstable; urgency=low

  * New Upstream Release
  * Added perl build dependency

 -- Oliver Korff <ok@xynyx.de>  Fri, 09 Nov 2007 17:22:01 +0100

hoichess (0.9.0-1) unstable; urgency=low

  * New upstream version 0.9.0
  * Upstream Author added gcc-4.3 includes Closes: #417225
  * removed checklib dependency libm.so.6 

 -- Oliver Korff <ok@xynyx.de>  Thu, 21 Jun 2007 13:35:24 +0200

hoichess (0.8.0-1) unstable; urgency=low

  * New upstream version 0.8.0
  * New binary hoixiangqi ("Chinese chess") playing program
  * Added more info regarding opening book to README.Debian

 -- Oliver Korff <ok@xynyx.de>  Sat, 16 Dec 2006 14:32:40 +0100

hoichess (0.5.1-1) unstable; urgency=low

  * New upstream version 0.5.1 Closes: #379233

 -- Oliver Korff <ok@xynyx.de>  Thu,  3 Aug 2006 01:25:04 +0200

hoichess (0.4.3-2) unstable; urgency=low

  * altered compile options, MAKE += CXX=g++ CXXFLAGS="$(CFLAGS)"
  * The fix will be valid for upcoming versions Closes: #364656

 -- Oliver Korff <ok@xynyx.de>  Sun, 25 Jun 2006 10:26:50 +0200

hoichess (0.4.3-1) unstable; urgency=low

  * New Upstream Version
  * Added readline support, for the commandline interface

 -- Oliver Korff <ok@xynyx.de>  Tue, 20 Jun 2006 20:53:07 +0200

hoichess (0.4.1-1) unstable; urgency=low

  * New Upstream Version
  * altered compile options, no march=i686 anymore Closes: #364656

 -- Oliver Korff <ok@xynyx.de>  Tue,  2 May 2006 10:23:13 +0200

hoichess (0.4.0-1) unstable; urgency=low

  * Initial release Closes: #334927

 -- Oliver Korff <ok@xynyx.de>  Sun, 19 Mar 2006 20:41:15 +0100

=== debian/control ===
Source: hoichess
Section: games
Priority: optional
Maintainer: Oliver Korff <ok@xynyx.de>
Build-Depends: libreadline-dev, debhelper (>= 7.0.50~), perl
Standards-Version: 3.9.2

Package: hoichess
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xboard (>=4.2.7-1) | scid 
Description: xboard compatible chess engine to play chess with
 chess engine compatible with xboard, but may also be used 
 stand-alone, via terminal. Hoichess is written in C++ for
 GNU/Linux systems, but should work on most other Unix like 
 systems. It provides also a xiangqi ("Chinese chess") playing 
 program.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1


%:
	dh $@ 

override_dh_link:
	dh_link usr/share/man/man6/hoichess.6.gz usr/share/man/man6/hoixiangqi.6.gz

=== debian/watch ===
# This source is discontinued by its author and will be 
# maintained by the package maintainer as long as the problems 
# can be handled.

## hoichess 0.19.0

=== Makefile ===
prefix = /usr
# Make these variables also available to sub-makes.
export bindir = $(prefix)/games
export docdir = $(prefix)/share/doc/hoichess
export mandir = $(prefix)/share/man
export datadir = $(prefix)/share/games/hoichess


VERSION := $(shell grep '^Version' ChangeLog | head -n 1 | awk '{ print $$2; }')
TARGET := $(shell $(CXX) -dumpmachine)
ifeq ($(TARGET),)
$(error Unable to determine compiler target)
endif


#
# Build
#

.PHONY: all
all: compile book doc cfg

.PHONY: compile
compile:
	$(MAKE) -C src all

.PHONY: book
book:
	$(MAKE) -C book

.PHONY: doc
doc: hoichess.6 hoichess.6.html

hoichess.6: hoichess.6.pod
	pod2man -n hoichess -s 6 -r "hoichess-$(VERSION)" -c Games $< $@

hoichess.6.html: hoichess.6.pod
	pod2html --title "HoiChess" $< > $@

.PHONY: cfg
cfg: hoichess.rc hoixiangqi.rc

hoichess.rc hoixiangqi.rc: %: %.in
	m4 -D DATADIR=$(datadir) $< > $@


#
# Install
#

.PHONY: install
install: install-bin


INSTALL_BIN_DOCS = AUTHORS BUGS ChangeLog LICENSE README hoichess.6.html
INSTALL_BIN_DATA = hoichess.rc hoixiangqi.rc

.PHONY: install-bin 
install-bin: all
	$(MAKE) -C src install DESTDIR="$(DESTDIR)"
	install -m 644 -D hoichess.6 $(DESTDIR)$(mandir)/man6/hoichess.6
	install -m 755 -d $(DESTDIR)$(docdir)
	install -m 644 $(INSTALL_BIN_DOCS) $(DESTDIR)$(docdir)
	install -m 755 -d $(DESTDIR)$(datadir)
	install -m 644 $(INSTALL_BIN_DATA) $(DESTDIR)$(datadir)
	$(MAKE) -C book install DESTDIR="$(DESTDIR)"


#
# Build binary distribution
#

DIST_BIN_NAME = hoichess-$(VERSION)-bin.$(TARGET)
# We need an absolute path because it is passed to a sub-make
DIST_OUTDIR = $(shell pwd)/dist

.PHONY: dist-bin
dist-bin: dist-bin-$(TARGET)

.PHONY: dist-bin-$(TARGET)
dist-bin-$(TARGET): prefix=$(DIST_OUTDIR)/$(DIST_BIN_NAME)
dist-bin-$(TARGET): bindir=$(prefix)/bin
dist-bin-$(TARGET): datadir=$(prefix)/share/games/hoichess
dist-bin-$(TARGET): docdir=$(prefix)/doc
dist-bin-$(TARGET): mandir=$(prefix)/man
dist-bin-$(TARGET):
	rm -rf $(DIST_OUTDIR)/$(DIST_BIN_NAME)
	$(MAKE) install-bin bindir=$(bindir) datadir=$(datadir) docdir=$(docdir) mandir=$(mandir)
	rm -f $(DIST_OUTDIR)/$(DIST_BIN_NAME).zip
	cd $(DIST_OUTDIR) && tar -czf $(DIST_BIN_NAME).tar.gz $(DIST_BIN_NAME)
	cd $(DIST_OUTDIR) && zip -q -9 -r $(DIST_BIN_NAME).zip $(DIST_BIN_NAME)


#
# Clean
#

.PHONY: clean
clean:
	$(MAKE) -C src clean
	rm -f hoichess.6 hoichess.6.html pod2htmd.tmp pod2htmi.tmp
	rm -f hoichess.rc hoixiangqi.rc
	$(MAKE) -C book clean
	rm -rf $(DIST_OUTDIR)

.PHONY: maintainer-clean
maintainer-clean: clean
	$(MAKE) -C src maintainer-clean

=== book/Makefile ===
# To build the book, we need a binary for the host architecture.
# Even when not cross-compiling the main binary (i.e. CXX=HOST_CXX),
# we build this "host binary" in a separate directory to avoid any
# conflicts.
# (Or call 'make HOST_HOICHESS=/usr/games/hoichess' if already installed.)
HOST_CXX = g++
HOST_CXXFLAGS = -W -Wall -O2
HOST_HOICHESS = ../build/host/hoichess

INSTALL = /usr/bin/install


# TODO xiangqi

BOOKS = $(patsubst %.pgn,%.dat,$(wildcard *.pgn))
BOOK_DEPTH = 0
BOOK_MINMOVECOUNT = 5


.PHONY: all
all: $(BOOKS)

.PHONY: clean
clean:
	rm -f $(BOOKS)

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)$(datadir)
ifneq ($(BOOKS),)
	$(INSTALL) -m 644 $(BOOKS) $(DESTDIR)$(datadir)
endif


#
# build book
#

$(BOOKS): %.dat: %.pgn $(HOST_HOICHESS)
	echo "book create $@ $< $(BOOK_DEPTH) $(BOOK_MINMOVECOUNT)" | $(HOST_HOICHESS) --norc

#
# build host binary required to create opening book
#

$(HOST_HOICHESS):
	@# BUILDDIR is relative to src/!
	$(MAKE) -C ../src CXX="$(HOST_CXX)" CXXFLAGS="$(HOST_CXXFLAGS)" BUILDDIR="$(dir $@)" all-hoichess

=== src/Makefile ===
CROSS_COMPILE =

CXX = $(CROSS_COMPILE)g++
CPP = $(CXX) -E
INSTALL = /usr/bin/install

LIBPATH =
CXXFLAGS = -W -Wall -O3 -fno-exceptions $(ADD_CXXFLAGS)
LDFLAGS  = 

###############################################################################

VERSION := $(shell build/print_version_str ..)

TARGET := $(shell $(CXX) -dumpmachine)
ifeq ($(TARGET),)
$(error Unable to determine compiler target)
endif

BUILDDIR = ../build/$(TARGET)

ifeq (,$(findstring clean,$(MAKECMDGOALS)))
-include $(BUILDDIR)/config.mk
endif

PROGS = hoichess hoixiangqi

ifeq ($(wildcard vhdlchess/),vhdlchess/)
include vhdlchess/Makefile.inc
endif


#
# define SOURCES, CXXFLAGS, INCLUDE, etc.
# (ADD_SOURCES can optionally be set at make command line)
#

SOURCES = $(wildcard *.cc common/*.cc) $(ADD_SOURCES)
INCLUDE = -I. -Icommon -Ilib

hoichess_SOURCES = $(SOURCES) $(wildcard chess/*.cc)
all-hoichess: override CXXFLAGS += -DHOICHESS
all-hoichess: override INCLUDE += -Ichess

hoixiangqi_SOURCES = $(SOURCES) $(wildcard xiangqi/*.cc)
all-hoixiangqi: override CXXFLAGS += -DHOIXIANGQI
all-hoixiangqi: override INCLUDE += -Ixiangqi

$(foreach p,$(PROGS),all-$(p)): override CXXFLAGS += -DVERSION='"$(VERSION)"'


ifneq (,$(findstring mingw32,$(TARGET)))
override INCLUDE += -Iwin32 -Ilib
override LDFLAGS += -static-libgcc -static-libstdc++
SOURCES += $(wildcard win32/*.cc)
SOURCES += lib/snprintf.cc lib/strtok_r.cc
BIN_SUFFIX = .exe
else
BIN_SUFFIX = 
endif

ifneq (,$(findstring sparc,$(TARGET)))
override INCLUDE += -Isparc32
ifneq (,$(shell echo '' | $(CXX) -E -dM - | grep __leonbare__))
override INCLUDE += -Isparc32/leon
SOURCES += $(wildcard sparc32/leon/*.cc)
endif
SOURCES += $(wildcard sparc32/*.cc)
SOURCES += lib/snprintf.cc
endif


ifeq ($(HAVE_READLINE),1)
override CXXFLAGS += -DHAVE_READLINE
LIBS += -lreadline
endif

ifeq ($(HAVE_PTHREAD),1)
override CXXFLAGS += -DHAVE_PTHREAD
LIBS += -lpthread
endif

ifeq ($(HAVE_GETOPT),1)
override CXXFLAGS += -DHAVE_GETOPT
else
SOURCES += lib/my_getopt.cc
endif

ifneq ($(datadir),)
override CXXFLAGS += -DDATADIR='"$(datadir)"'
endif


###############################################################################

.DEFAULT_GOAL = all

.PHONY: all
all: $(foreach p,$(PROGS),all-$(p))

.PHONY: install
install: $(foreach p,$(PROGS),install-$(p))

.PHONY: clean
clean:
	rm -rf ../build

.PHONY: maintainer-clean
maintainer-clean: clean


# auto configuration
$(BUILDDIR)/config.mk:
	mkdir -p $(dir $@)
	CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" build/configure.sh $(BUILDDIR)


#
# building targets
#

define gen_prog_rules
# object files for program
$(1)_OBJS = $$(patsubst %.cc,$$(BUILDDIR)/build-$(1)/%.o,$$($(1)_SOURCES))

# all- target
.PHONY: all-$(1)
all-$(1): $$(BUILDDIR)/$(1)$(BIN_SUFFIX)

# compile sources
$$(BUILDDIR)/build-$(1)/%.o: %.cc
	@mkdir -p $$(dir $$@)
	$$(CXX) $$(CXXFLAGS) $$(INCLUDE) -MT $$@ -MD -MF $$(patsubst %.o,%.d,$$@) -c -o $$@ $$<

# link binary
$$(BUILDDIR)/$(1)$(BIN_SUFFIX): $$($(1)_OBJS)
	@mkdir -p $$(dir $$@)
	$$(CXX) $$(CXXFLAGS) -c -o $$(BUILDDIR)/build-$(1)/version.o version.cc
	$$(CXX) $$(CXXFLAGS) $$(LDFLAGS) -o $$@ $$^ $$(LIBPATH) $$(LIBS)

# include dependencies
-include $$(patsubst %.o,%.d,$$($(1)_OBJS))

# install- target
.PHONY: install-$(1)
install-$(1): all-$(1)
	$$(INSTALL) -m 755 -D $$(BUILDDIR)/$(1)$(BIN_SUFFIX) $(DESTDIR)$(bindir)/$$(notdir $$(BUILDDIR)/$(1)$(BIN_SUFFIX))
endef

$(foreach p,$(PROGS),$(eval $(call gen_prog_rules,$(p))))

=== debian/changelog ===
hoichess (0.19.0-2) unstable; urgency=medium

  * QA upload
  * Suggest instead of Recommend xboard | scid. Closes: #820461
  * Suggest gnome-chess as an alternative too
  * Import to collab-maint and set Vcs fields

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2016 14:59:21 -0400

hoichess (0.19.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (closes: #786449).
  * Ack for NMU. Thanks a lot to Matthias Klose for the fix to build failure
    with GCC 4.7. (Closes: #667202)
  * Set Debian QA Group as maintainer (see #835307).
  * Bump DH to 9.
  * Bump Standards-Version to 3.9.8.
  * debian/control:
    - Add Homepage.
  * debian/dirs: Remove file, upstream already creates needed dirs.
  * debian/patches:
    - The following patches were removed because they were applied upstream or
      are no more needed.
      ~ 01-Makefile.
      ~ 01-ld-as-needed.
      ~ 02-Makefile.local.
      ~ 03-config.h.
      ~ 04-debug_printconfig.h.
      ~ 05-ftbfs-gcc-4.7.
    - New patches:
      ~ docs.patch: Let DH ship changelog and license files and drop html
        manual.
      ~ flags.patch: Use DH compilation flags.
  * debian/rules:
    - Export DEB_BUILD_MAINT_OPTIONS = hardening=+all, in order to enable
      hardening.
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed, in order to disable
      useless dependencies.
    - Remove comments and trailing whitespace.
  * debian/watch: Add proper url and set to version 4.
  * wrap-and-sort -a.

 -- Samuel Henrique <samueloph@gmail.com>  Sun, 04 Sep 2016 17:03:11 -0300

=== debian/control ===
Source: hoichess
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               libreadline-dev,
               perl
Standards-Version: 3.9.8
Homepage: http://www.hoicher.de/hoichess/
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hoichess.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/hoichess.git

Package: hoichess
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: gnome-chess| xboard (>= 4.2.7-1) | scid
Description: xboard compatible chess engine to play chess with
 chess engine compatible with xboard, but may also be used
 stand-alone, via terminal. Hoichess is written in C++ for
 GNU/Linux systems, but should work on most other Unix like
 systems. It provides also a xiangqi ("Chinese chess") playing
 program.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_link:
	dh_link usr/share/man/man6/hoichess.6.gz usr/share/man/man6/hoixiangqi.6.gz

## hoichess 0.21.0

=== Makefile ===
prefix = /usr
# Make these variables also available to sub-makes.
export bindir = $(prefix)/games
export docdir = $(prefix)/share/doc/hoichess
export mandir = $(prefix)/share/man
export datadir = $(prefix)/share/games/hoichess
export install_bindir = $(bindir)
export install_docdir = $(docdir)
export install_mandir = $(mandir)
export install_datadir = $(datadir)


VERSION := $(shell grep '^Version' ChangeLog | head -n 1 | awk '{ print $$2; }')
TARGET := $(shell $(CXX) -dumpmachine)
ifeq ($(TARGET),)
$(error Unable to determine compiler target)
endif


#
# Build
#

.PHONY: all
all: compile book doc cfg

.PHONY: compile
compile:
	$(MAKE) -C src all

.PHONY: book
book:
	$(MAKE) -C book

.PHONY: doc
doc: hoichess.6 hoichess.6.html

hoichess.6: hoichess.6.pod
	pod2man -n hoichess -s 6 -r "hoichess-$(VERSION)" -c Games $< $@

hoichess.6.html: hoichess.6.pod
	pod2html --title "HoiChess" $< > $@

.PHONY: cfg
cfg: hoichess.rc hoixiangqi.rc

hoichess.rc hoixiangqi.rc: %: %.m4
	m4 -D DATADIR=$(datadir) $< > $@


#
# Install
#

.PHONY: install
install: install-bin

INSTALL_BIN_DOCS = AUTHORS BUGS ChangeLog LICENSE README hoichess.6.html
INSTALL_BIN_DATA = hoichess.rc hoixiangqi.rc

.PHONY: install-bin 
install-bin: all
	$(MAKE) -C src install DESTDIR="$(DESTDIR)"
	install -m 644 -D hoichess.6 $(DESTDIR)$(install_mandir)/man6/hoichess.6
	install -m 755 -d $(DESTDIR)$(install_docdir)
	install -m 644 $(INSTALL_BIN_DOCS) $(DESTDIR)$(install_docdir)
	install -m 755 -d $(DESTDIR)$(install_datadir)
	install -m 644 $(INSTALL_BIN_DATA) $(DESTDIR)$(install_datadir)
	$(MAKE) -C book install DESTDIR="$(DESTDIR)"


#
# Clean
#

.PHONY: clean
clean:
	$(MAKE) -C src clean
	rm -f hoichess.6 hoichess.6.html pod2htmd.tmp pod2htmi.tmp
	rm -f hoichess.rc hoixiangqi.rc
	$(MAKE) -C book clean
	rm -rf $(DIST_OUTDIR)

.PHONY: maintainer-clean
maintainer-clean: clean
	$(MAKE) -C src maintainer-clean

=== src/Makefile ===
CROSS_COMPILE =

CXX = $(CROSS_COMPILE)g++
CPP = $(CXX) -E
INSTALL = /usr/bin/install

LIBPATH =
CXXFLAGS = -W -Wall -O3 -fno-exceptions $(ADD_CXXFLAGS)
LDFLAGS  = 

###############################################################################

ifneq (,$(findstring s,$(MAKEFLAGS)))
SILENT = 1
endif

VERSION := $(shell build/print_version_str ..)

TARGET := $(shell $(CXX) -dumpmachine)
ifeq ($(TARGET),)
$(error Unable to determine compiler target)
endif

BUILDDIR = ../build/$(TARGET)

ifeq (,$(findstring clean,$(MAKECMDGOALS)))
-include $(BUILDDIR)/config.mk
endif

ifneq (,$(findstring mingw32,$(TARGET)))
WITH_THREAD = 1
else ifeq ($(HAVE_PTHREAD),1)
WITH_THREAD = 1
endif

#
# define PROGS
#

PROGS = hoichess hoixiangqi

#
# define SOURCES, CXXFLAGS, INCLUDE, etc.
# (ADD_SOURCES can optionally be set at make command line)
#

SOURCES = \
	debug.cc \
	init.cc \
	main.cc \
	uint64_table.cc \
	util.cc \
	version.cc \
	common/book.cc \
	common/clock.cc \
	common/epd.cc \
	common/eval.cc \
	common/evalcache.cc \
	common/game.cc \
	common/hash.cc \
	common/movelist.cc \
	common/node.cc \
	common/pawnhash.cc \
	common/pgn.cc \
	common/search.cc \
	common/search_util.cc \
	common/shell.cc \
	common/shell_cmd.cc \
	common/shell_util.cc

ifeq ($(WITH_THREAD),1)
SOURCES += \
	mutex.cc \
	queue.cc \
	thread.cc \
	common/parallelsearch.cc
endif

hoichess_SOURCES = $(SOURCES) \
	chess/basic.cc \
	chess/bitboard.cc \
	chess/bitboard_rotated.cc \
	chess/board.cc \
	chess/board_attack.cc \
	chess/board_generate.cc \
	chess/board_init.cc \
	chess/board_util.cc \
	chess/eval.cc \
	chess/move.cc

hoixiangqi_SOURCES = $(SOURCES) \
	xiangqi/basic.cc \
	xiangqi/board.cc \
	xiangqi/board_attack.cc \
	xiangqi/board_generate.cc \
	xiangqi/board_init.cc \
	xiangqi/board_util.cc \
	xiangqi/eval.cc \
	xiangqi/move.cc


INCLUDE = -I. -Icommon

all-hoichess: override CXXFLAGS += -DHOICHESS
all-hoichess: override INCLUDE += -Ichess

all-hoixiangqi: override CXXFLAGS += -DHOIXIANGQI
all-hoixiangqi: override INCLUDE += -Ixiangqi


ifneq (,$(findstring mingw32,$(TARGET)))
override INCLUDE += -Iwin32
override CXXFLAGS += -DWITH_THREAD
override LDFLAGS += -static-libgcc -static-libstdc++
BIN_SUFFIX = .exe
else
BIN_SUFFIX = 
endif

ifneq (,$(shell echo '' | $(CXX) -E -dM - | grep __leonbare__))
SOURCES += \
	   sparc32/leon/stdio.cc \
	   sparc32/leon/usleep.cc
override INCLUDE += -Isparc32/leon
endif


ifeq ($(HAVE_READLINE),1)
override CXXFLAGS += -DHAVE_READLINE
LIBS += -lreadline
endif

ifeq ($(HAVE_PTHREAD),1)
override CXXFLAGS += -DHAVE_PTHREAD -DWITH_THREAD
LIBS += -lpthread
endif

ifeq ($(HAVE_GETOPT),1)
override CXXFLAGS += -DHAVE_GETOPT
else
SOURCES += lib/my_getopt.cc
endif

ifeq ($(HAVE_SNPRINTF),1)
override CXXFLAGS += -DHAVE_SNPRINTF
else
SOURCES += lib/snprintf.cc
endif

ifeq ($(HAVE_STRTOK_R),1)
override CXXFLAGS += -DHAVE_STRTOK_R
else
SOURCES += lib/strtok_r.cc
endif

ifneq ($(datadir),)
override CXXFLAGS += -DDATA_DIR='"$(datadir)"'
endif

ifeq ($(wildcard vhdlchess/),vhdlchess/)
include vhdlchess/Makefile.inc
endif

$(foreach p,$(PROGS),all-$(p)): override CXXFLAGS += -DVERSION='"$(VERSION)"'

###############################################################################

.DEFAULT_GOAL = all

.PHONY: all
all: $(foreach p,$(PROGS),all-$(p))

.PHONY: install
install: $(foreach p,$(PROGS),install-$(p))

.PHONY: clean
clean:
	rm -rf ../build

.PHONY: maintainer-clean
maintainer-clean: clean


# auto configuration
$(BUILDDIR)/config.mk:
	mkdir -p $(dir $@)
	CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" build/configure.sh $(BUILDDIR) $(if $(SILENT),>/dev/null)


#
# building targets
#

define gen_prog_rules
# object files for program
$(1)_OBJS = $$(patsubst %.cc,$$(BUILDDIR)/build-$(1)/%.o,$$($(1)_SOURCES))

# all- target
.PHONY: all-$(1)
all-$(1): $$(BUILDDIR)/$(1)$(BIN_SUFFIX)

# compile sources
$$(BUILDDIR)/build-$(1)/%.o: %.cc
	@mkdir -p $$(dir $$@)
	$$(CXX) $$(CXXFLAGS) $$(CPPFLAGS) $$(INCLUDE) -MT $$@ -MD -MF $$(patsubst %.o,%.d,$$@) -c -o $$@ $$<

# link binary
$$(BUILDDIR)/$(1)$(BIN_SUFFIX): $$($(1)_OBJS)
	@mkdir -p $$(dir $$@)
	$$(CXX) $$(CXXFLAGS) $$(CPPFLAGS) -c -o $$(BUILDDIR)/build-$(1)/version.o version.cc
	$$(CXX) $$(CXXFLAGS) $$(LDFLAGS) -o $$@ $$^ $$(LIBPATH) $$(LIBS)

# include dependencies
-include $$(patsubst %.o,%.d,$$($(1)_OBJS))

# install- target
.PHONY: install-$(1)
install-$(1): all-$(1)
	$$(INSTALL) -m 755 -D $$(BUILDDIR)/$(1)$(BIN_SUFFIX) $(DESTDIR)$(install_bindir)/$$(notdir $$(BUILDDIR)/$(1)$(BIN_SUFFIX))
endef

$(foreach p,$(PROGS),$(eval $(call gen_prog_rules,$(p))))

=== debian/changelog ===
hoichess (0.21.0-2) unstable; urgency=medium

  * d/p/agnostic*.patch: new patch to introduce reproducible builds, thanks to
    Daniel Shahaf <danielsh@apache.org> for creating the patch, Chris Lamb
    <lamby@debian.org> for reporting and helping with another patch and
    hoichess's upstream Holger Ruckdeschel <holger@hoicher.de> for the help
    (closes: #847768).

 -- Samuel Henrique <samueloph@gmail.com>  Sun, 25 Jun 2017 20:45:17 -0300

hoichess (0.21.0-1) unstable; urgency=medium

  * New upstream version 0.21.0.
  * Bump Standards-Version to 4.0.0.
  * d/patches:
    - docs.patch: refresh patch.
    - flags.patch: update patch.
    - sparc32 and reproducible-build: no more needed/applied upstream.

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 17 Jun 2017 21:01:28 -0300

hoichess (0.19.0-5) unstable; urgency=medium

  * Bump DH level to 10.
  * debian/control: Build-Depends on m4, detected on bpo FTBFS and confirmed
    looking at Makefile.

 -- Samuel Henrique <samueloph@gmail.com>  Mon, 26 Sep 2016 11:17:09 -0300

hoichess (0.19.0-4) unstable; urgency=medium

  * Use opening book from pgn-extract, thanks to Holger Ruckdeschel
    (closes: #401164).
  * debian/clean: Create file and add book/hoichess-book.pgn.
  * debian/control: Build-Depends on pgn-extract.
  * debian/patches:
    - flags.patch: Refresh patch to make book/Makefile use DH flags.
    - sparc32.patch: New patch to remove sparc32 files that causes FTBFS.
  * debian/rules: override_dh_auto_build: Copy opening book from pgn-extract.

 -- Samuel Henrique <samueloph@gmail.com>  Tue, 13 Sep 2016 20:37:19 -0300

hoichess (0.19.0-3) unstable; urgency=medium

  * New maintainer. Thanks to all previous people that have worked on this
    package, special mention to Joao Eriberto Mota Filho <eriberto@debian.org>,
    whom sponsored me and dedicated a lot of time and effort into reviewing my
    changes (closes: #835307).
  * debian/copyright: Switch to DEP-5 format.
  * debian/patches:
    - reproducible-build.patch: New patch, sort source files for deterministic
      linking order, thanks to Reiner Herrmann (closes: #826982).

 -- Samuel Henrique <samueloph@gmail.com>  Fri, 09 Sep 2016 11:57:30 -0300

=== debian/watch ===
version=4
http://www.hoicher.de/hoichess/download/hoichess-(.+)-gpl\.tar\.gz

## hoichess 0.22.0

=== book/Makefile ===
--- 
+++ 
@@ -26,9 +26,9 @@
 
 .PHONY: install
 install: all
-	$(INSTALL) -d $(DESTDIR)$(datadir)
+	$(INSTALL) -d $(DESTDIR)$(install_datadir)
 ifneq ($(BOOKS),)
-	$(INSTALL) -m 644 $(BOOKS) $(DESTDIR)$(datadir)
+	$(INSTALL) -m 644 $(BOOKS) $(DESTDIR)$(install_datadir)
 endif

=== src/Makefile ===
--- 
+++ 
@@ -72,6 +72,7 @@
 SOURCES += \
 	mutex.cc \
 	queue.cc \
+	spinlock.cc \
 	thread.cc \
 	common/parallelsearch.cc
 endif

=== dist/windows/Makefile ===
TOPDIR = ../..

VERSION := $(shell $(TOPDIR)/src/build/print_version_str)


.PHONY: all
all: hoichess-$(VERSION)-win32.zip hoichess-$(VERSION)-win64.zip \
	hoichess-$(VERSION)-win32-pthread.zip hoichess-$(VERSION)-win64-pthread.zip

.PHONY: clean
clean:
	rm -rf build-*
	rm -f hoichess-*.zip


BUILDFLAGS := prefix= bindir=/bin docdir=/doc mandir=/man datadir="%USERPROFILE%/.hoichess" install_datadir=/share

hoichess-$(VERSION)-win32.zip: CXX=i686-w64-mingw32-g++
hoichess-$(VERSION)-win32.zip: LDFLAGS=-static
hoichess-$(VERSION)-win32.zip: BUILDFLAGS+=HAVE_PTHREAD=0

hoichess-$(VERSION)-win64.zip: CXX=x86_64-w64-mingw32-g++
hoichess-$(VERSION)-win64.zip: LDFLAGS=-static
hoichess-$(VERSION)-win64.zip: BUILDFLAGS+=HAVE_PTHREAD=0

hoichess-$(VERSION)-win32-pthread.zip: CXX=i686-w64-mingw32-g++
hoichess-$(VERSION)-win32-pthread.zip: LDFLAGS=-static

hoichess-$(VERSION)-win64-pthread.zip: CXX=x86_64-w64-mingw32-g++
hoichess-$(VERSION)-win64-pthread.zip: LDFLAGS=-static


hoichess-$(VERSION)-%.zip:
	mkdir build-$(VERSION)-$*
	$(MAKE) -s -C $(TOPDIR) BUILDDIR=$(CURDIR)/build-$(VERSION)-$* CXX=$(CXX) LDFLAGS="$(LDFLAGS)" $(BUILDFLAGS)
	$(MAKE) -s -C $(TOPDIR) BUILDDIR=$(CURDIR)/build-$(VERSION)-$* CXX=$(CXX) install $(BUILDFLAGS) \
		DESTDIR=$(CURDIR)/build-$(VERSION)-$*/hoichess-$(VERSION)-$*
	cp install.cmd build-$(VERSION)-$*/hoichess-$(VERSION)-$*/install.cmd
	cd build-$(VERSION)-$* && zip -q -9 -r hoichess-$(VERSION)-$*.zip hoichess-$(VERSION)-$*
	mv build-$(VERSION)-$*/hoichess-$(VERSION)-$*.zip $@

=== debian/changelog ===
hoichess (0.22.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (closes: #930460)
    + Annotate Build-Depends: perl with :native.
    + Also pass CXX to make install.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.0
  * Add d/salsa-ci.yml and d/gbp.conf
  * d/rules: Remove '-Wl,--as-needed' linker flag default on bullseye
  * d/control: Add 'Rules-Requires-Root: no'

 -- Samuel Henrique <samueloph@debian.org>  Sat, 04 Jul 2020 14:11:56 +0100

hoichess (0.22.0-1) unstable; urgency=medium

  * New upstream version 0.22.0
  * Bump DH level to 11
  * Bump Standards-Version to 4.1.4.1
  * Change email address of Samuel to d.o
  * Update Vcs-* field to point to salsa
  * d/pachtes: dirname-agnostic: 1 is applied upstream and 2 got refreshed
  * d/copyright: update debian/* entry

 -- Samuel Henrique <samueloph@debian.org>  Thu, 24 May 2018 18:34:56 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: hoichess
 Section: games
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Samuel Henrique <samueloph@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libreadline-dev,
-               perl
-Standards-Version: 3.9.8
+               m4,
+               perl:native,
+               pgn-extract
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.hoicher.de/hoichess/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hoichess.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/hoichess.git
+Vcs-Browser: https://salsa.debian.org/debian/hoichess
+Vcs-Git: https://salsa.debian.org/debian/hoichess.git
 
 Package: hoichess
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	cp /usr/share/pgn-extract/eco.pgn ./book/hoichess-book.pgn
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- 'CXX=$(CXX)'

override_dh_link:
	dh_link usr/share/man/man6/hoichess.6.gz usr/share/man/man6/hoixiangqi.6.gz
